package org.texttechnologylab.project.gruppe_05_1.domain.nlp;

import java.util.List;
import java.util.Objects;
import java.util.StringJoiner;

public class VideoInformation {
    List<AudioToken>    audioTokens;

    public VideoInformation() {
    }

    public VideoInformation(List<AudioToken> audioTokens) {
        this.audioTokens = audioTokens;
    }

    public List<AudioToken> getAudioTokens() {
        return audioTokens;
    }

    public void setAudioTokens(List<AudioToken> audioTokens) {
        this.audioTokens = audioTokens;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof VideoInformation that)) return false;
        return Objects.equals(audioTokens, that.audioTokens);
    }

    @Override
    public int hashCode() {
        return Objects.hash(audioTokens);
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", VideoInformation.class.getSimpleName() + "[", "]")
                .add("audioTokens=" + audioTokens)
                .toString();
    }
}
